Support Questions

Find answers, ask questions, and share your expertise

I am installing ambari. while installting activity analyser I am getting this error

2017-12-06 15:51:16,582 - Stack Feature Version Info: Cluster Stack=2.6, Command Stack=None, Command Version=None -> 2.6
2017-12-06 15:51:16,582 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2017-12-06 15:51:16,583 - Group['hdfs'] {}
2017-12-06 15:51:16,584 - Group['hadoop'] {}
2017-12-06 15:51:16,584 - Group['users'] {}
2017-12-06 15:51:16,584 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hadoop'], 'uid': None}
2017-12-06 15:51:16,585 - User['ams'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hadoop'], 'uid': None}
2017-12-06 15:51:16,585 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['users'], 'uid': None}
2017-12-06 15:51:16,586 - User['hdfs'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hdfs'], 'uid': None}
2017-12-06 15:51:16,586 - User['yarn'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hadoop'], 'uid': None}
2017-12-06 15:51:16,587 - User['mapred'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hadoop'], 'uid': None}
2017-12-06 15:51:16,587 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555}
2017-12-06 15:51:16,588 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'}
2017-12-06 15:51:16,591 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] due to not_if
2017-12-06 15:51:16,591 - Group['hdfs'] {}
2017-12-06 15:51:16,591 - User['hdfs'] {'fetch_nonlocal_groups': True, 'groups': ['hdfs', 'hdfs']}
2017-12-06 15:51:16,591 - FS Type: 
2017-12-06 15:51:16,591 - Directory['/etc/hadoop'] {'mode': 0755}
2017-12-06 15:51:16,592 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir'] {'owner': 'hdfs', 'group': 'hadoop', 'mode': 01777}
2017-12-06 15:51:16,604 - Repository['HDP-2.6-repo-1'] {'append_to_file': False, 'base_url': 'http://10.51.88.51/HDP/centos6/2.6.3.0-235/', 'action': ['create'], 'components': ['HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2017-12-06 15:51:16,610 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://10.51.88.51/HDP/centos6/2.6.3.0-235/\n\npath=/\nenabled=1\ngpgcheck=0'}
2017-12-06 15:51:16,611 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2017-12-06 15:51:16,611 - Repository['HDP-UTILS-1.1.0.21-repo-1'] {'append_to_file': True, 'base_url': 'http://10.51.88.51/', 'action': ['create'], 'components': ['HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2017-12-06 15:51:16,613 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://10.51.88.51/HDP/centos6/2.6.3.0-235/\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.21-repo-1]\nname=HDP-UTILS-1.1.0.21-repo-1\nbaseurl=http://10.51.88.51/\n\npath=/\nenabled=1\ngpgcheck=0'}
2017-12-06 15:51:16,613 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2017-12-06 15:51:16,614 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-12-06 15:51:16,748 - Skipping installation of existing package unzip
2017-12-06 15:51:16,748 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-12-06 15:51:16,829 - Skipping installation of existing package curl
2017-12-06 15:51:16,829 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-12-06 15:51:16,911 - Installing package hdp-select ('/usr/bin/yum -d 0 -e 0 -y install hdp-select')
2017-12-06 15:51:32,396 - Execution of '/usr/bin/yum -d 0 -e 0 -y install hdp-select' returned 1. Error: Cannot retrieve repository metadata (repomd.xml) for repository: base. Please verify its path and try again
2017-12-06 15:51:32,397 - Failed to install package hdp-select. Executing '/usr/bin/yum clean metadata'
2017-12-06 15:51:32,525 - Retrying to install package hdp-select after 30 seconds 

2017-12-06 15:52:17,827 - Skipping stack-select on SMARTSENSE because it does not exist in the stack-select package

3 REPLIES 3

Super Mentor

@Agneesh Priyadarshi

The following error indicates that the host where you are trying to install/start the component "activity analyzer" has some internet connectivity issue in accessing the Hortonworks Repo (Or your custom local repo "http://10.51.88.51/HDP/centos6/2.6.3.0-235").

2017-12-06 15:51:32,396 - Execution of '/usr/bin/yum -d 0 -e 0 -y install hdp-select' returned 1. Error: Cannot retrieve repository metadata (repomd.xml) for repository: base. Please verify its path and try again



So please verify if you are able to access the repo (Hortonworks / your custom local repo's repomd.xml file properly oir not?)

# wget http://public-repo-1.hortonworks.com/Ambari/centos6/2.x/updates/2.6.3.0-235/repodata/repomd.xml
(OR)
# wget http://10.51.88.51/HDP/centos6/2.6.3.0-235/repodata/repomd.xml


Suspect:
Please open the "http://10.51.88.51/HDP/" on your browser and check if you are able to locate the repo,d.xml file properly or not and then try accessing the same URL from the host where you are installing the Activity Analyzer. it may be a Local repo access isue from the mentioned host (due to some firewall/ proxy settings).

My custom local repo "http://10.51.88.51/HDP/centos6/2.6.3.0-235" is working fine. But what I observed that While I start installing it is creating "ambari-hdp-1.repo" file in /etc/yum.repos.d and accessing from this

43847-capture3.png

Super Mentor
@Agneesh Priyadarshi

Please try to remove (or move) "hdp.repo", "hdp-utils.repo", "ambari-hdp-1.repo" and ambari.repo all these files from the "/etc/yum.repos.d" directory and then perform yum clean all.

# cd /etc/yum.repos.d"
# rm -f "hdp.repo"  "hdp-utils.repo"  "ambari-hdp-1.repo" "ambari.repo"
# yum clean all

.

Then using wget please check if you are able to access the repo or not? Also please verify if there is any proxy settings defined at global level or at "yum.conf"

# grep 'proxy' /etc/yum.conf 
# grep 'proxy' ~/.bash_profile
# grep 'proxy' /etc/profile
# grep 'proxy' ~/.bashrc

.

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.